Loading...
Searching...
No Matches
QGpgME::SpecialJob Class Referenceabstract

An abstract base class for protocol-specific jobs. More...

`#include <specialjob.h>`

Inheritance diagram for QGpgME::SpecialJob:
[legend]
Collaboration diagram for QGpgME::SpecialJob:
[legend]

## Signals

void | result (const GpgME::Error &result, const QVariant &data)
Signals inherited from QGpgME::Job
void | jobProgress (int current, int total)
void | rawProgress (const QString &what, int type, int current, int total)
QGPGME_DEPRECATED void | progress (const QString &what, int current, int total)
void | done ()

## Public Member Functions

virtual GpgME::Error | start ()=0
virtual GpgME::Error | exec ()=0
Public Member Functions inherited from QGpgME::Job
virtual QString | auditLogAsHtml () const
virtual GpgME::Error | auditLogError () const
bool | isAuditLogSupported () const
GpgME::Error | startIt ()
void | startNow ()

## Protected Member Functions

| SpecialJob (QObject *parent)
Protected Member Functions inherited from QGpgME::Job
| Job (std::unique_ptr< JobPrivate >, QObject *parent)
| Job (QObject *parent)

## Additional Inherited Members

Public Slots inherited from QGpgME::Job
virtual void | slotCancel ()=0
Static Public Member Functions inherited from QGpgME::Job
static GpgME::Context * | context (Job *job)
Protected Attributes inherited from QGpgME::Job
const std::unique_ptr< JobPrivate > | d_ptr

## Detailed Description

An abstract base class for protocol-specific jobs.

To use a SpecialJob, first obtain an instance from the CryptoBackend implementation, connect progress() and result() signals to suitable slots and then start the job with a call to start(). This call might fail, in which case the SpecialJob instance will have schedules its own destruction with a call to QObject::deleteLater().

After result() is emitted, the SpecialJob will schedule its own destruction by calling QObject::deleteLater().

Parameters are set using the Qt property system. More general, or constructor parameters are given in the call to QGpgME::Protocol::specialJob().

The result is made available through the result signal, and through the read-only result property, the latter of which needs to be defined in each SpecialJob subclass.

## Member Function Documentation

## start()

virtual GpgME::Error QGpgME::SpecialJob::start | ( |  | ) |

pure virtual

Starts the special operation.

The documentation for this class was generated from the following files:

- specialjob.h
- specialjob.cpp